For the complete documentation index, see llms.txt. This page is also available as Markdown.

SynapsysMrm

Perform various operations for Symitar parameters.

Symitar eDocs References: Coming soon.

Operations

getSynapsysMrm

post

Retrieve SynapsysMrm parameter records. ParameterService is available for SymXchange 2022.01 in this documentation set.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
Responses
200

Successful operation.

application/json
post/getSynapsysMrm
POST /nexum/627/2022.01/parameter/getSynapsysMrm HTTP/1.1
Host: naas.ymcu.libum.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 135

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "nxAttributes": {
    "customFields": {
      "appId": "{application-id}"
    }
  }
}
200

Successful operation.

{
  "SynapsysMrm": {
    "RecordChangeDate": "2010-05-08"
  },
  "MessageId": "getSynapsysMrm"
}

getSynapsysMrmSelectFields

post

Retrieve SynapsysMrm parameter records. ParameterService is available for SymXchange 2022.01 in this documentation set.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
Responses
200

Successful operation.

application/json
post/getSynapsysMrmSelectFields
POST /nexum/627/2022.01/parameter/getSynapsysMrmSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 261

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "nxAttributes": {
    "customFields": {
      "appId": "parameter-reference"
    }
  },
  "SelectableFields": {
    "SynapsysMrmFields": {
      "EnableSynapsysMrmDevice": true,
      "EnableTellerTranMrmDisplay": true,
      "Timeout": true
    }
  }
}
200

Successful operation.

{
  "SynapsysMrm": {
    "EnableSynapsysMrmDevice": false,
    "EnableTellerTranMrmDisplay": false,
    "Timeout": 0
  },
  "MessageId": "getSynapsysMrmSelectFields"
}

updateSynapsysMrmByID

post

Update SynapsysMrm parameter configuration. Parameter updates can change institution behavior and should be tested in a controlled environment before use.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
Responses
200

Successful operation.

application/json
post/updateSynapsysMrmByID
POST /nexum/627/2022.01/parameter/updateSynapsysMrmByID HTTP/1.1
Host: naas.ymcu.libum.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 205

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "SynapsysMrmUpdatableFields": {
    "Type": 0,
    "Description": "NEXUM EXAMPLE"
  },
  "nxAttributes": {
    "customFields": {
      "appId": "{application-id}"
    }
  }
}
200

Successful operation.

{
  "UpdateStatus": {
    "isAllFieldsUpdateSuccess": true,
    "FailedUpdateStatus": []
  },
  "MessageId": "updateSynapsysMrmByID"
}

Last updated

Was this helpful?